<script setup>
import { useStore } from 'vuex';
import { useRouter } from 'vue-router';
import adminMenu from './AdminMenu.vue'

const store = useStore();
const router = useRouter();

function disconnect(){
  if(sessionStorage.getItem('authentificated') !== null){
    fetch('https://api.mangaUpdate.fr/api/disconnect', {
      method: 'POST',
      headers: {'Content-Type': 'application/json'},
      body: JSON.stringify({
      'token':sessionStorage.getItem('authentificated')
      })
    })
    .then(response => response.json())
    .then(data => {
        let payload = {authentificated : false, token : ''}
        store.commit('change', payload)
        if(data.message === 'disconnected'){
          location.reload()
        }else{
          console.log(data.message)
        }
    })
  }
}
</script>

<template>
    <input type="checkbox" id="menu_input" class="hidden peer">
    <nav class="peer-checked:opacity-100 mt-6 peer-checked:max-h-8
      z-20 flex text-lg opacity-0 max-h-0 w-full items-center
      duration-300 lg:opacity-100 lg:max-h-8">
        <ul class='flex'>
            <li v-if="router.currentRoute.value.path != '/'">
                <RouterLink to="/" class="border-0 px-4">Home</RouterLink>
            </li>
            <li v-if="router.currentRoute.value.path != '/MyBooks'">
				        <template v-if="!store.getters.isAuthentificated">
                	  <RouterLink to="/MyBooks" class="border-0 px-4
                      border-l-2 border-gray-500 px-4">My Books</RouterLink>
				        </template>
                <template v-else>
                    <RouterLink to="/MyBooks" class="border-0 px-4">
                        My Books
                    </RouterLink>
                </template>
            </li>
            <li v-if="!store.getters.isAuthentificated">
                <template v-if="router.currentRoute.value.path == '/register'">
                	  <RouterLink to="/login" class="border-l-2
                      border-gray-500 px-4">Connexion</RouterLink>
				        </template>
                <template v-else="router.currentRoute.value.path == '/register'">
                    <RouterLink to="/register" class="border-l-2
                      border-gray-500 px-4">Inscription</RouterLink>
                </template>
            </li>
            <li v-if="store.getters.isAdmin">
				        <adminMenu title="Admin"/>
            </li>
        </ul>
        <div id='disconnect' v-if='store.getters.isAuthentificated' 
          class="absolute end-0 flex duration-200 hover:bg-transparent
            hover:scale-125 hover:color-green-400 cursor-pointer text-3xl">
            <font-awesome-icon v-on:click='disconnect' icon="fa-solid
              fa-arrow-right-from-bracket"/>
        </div>
    </nav>
    <RouterView />
</template>
<style>

@tailwind base;
@tailwind components;
@tailwind utilities;

nav a.router-link-exact-active {
  color: hsla(160, 100%, 37%, 1);
}

nav a.router-link-exact-active:hover {
  background-color: transparent;
}

</style>